<template>
  <div id="register">
    <el-row>
      <el-col :span="24" class="main">
        <div class="w_1200">
          <el-col :span="24" class="one">
            <el-col :span="24" class="btn">
              <el-button type="primary" size="mini" @click="back">返回</el-button>
            </el-col>
            <el-col :span="24" class="text">环南湖科创先导区双创服务平台-{{ type == '5' ? '专家' : type == '6' ? '企业' : '机构' }}账号注册</el-col>
            <el-col :span="24" class="dwon">
              <expert v-if="type == '5'"></expert>
              <company v-else-if="type == '6'"></company>
              <mechanism v-else-if="type == '7'"></mechanism>
            </el-col>
          </el-col>
        </div>
      </el-col>
    </el-row>
  </div>
</template>

<script>
import expert from './register/expert.vue';
import company from './register/company.vue';
import mechanism from './register/mechanism.vue';
import { mapState, createNamespacedHelpers } from 'vuex';
export default {
  name: 'register',
  props: {},
  components: { expert, company, mechanism },
  data: function () {
    return {};
  },
  created() {},
  methods: {
    back() {
      this.$router.push({ path: '/service/index' });
    },
  },
  computed: {
    ...mapState(['user']),
    type() {
      return this.$route.query.type;
    },
  },
  metaInfo() {
    return { title: this.$route.meta.title };
  },
  watch: {
    test: {
      deep: true,
      immediate: true,
      handler(val) {},
    },
  },
};
</script>

<style lang="less" scoped>
.main {
  min-height: 500px;
  margin: 10px 0;
  .one {
    min-height: 500px;
    border-radius: 5px;
    border: 1px solid #ccc;
    .btn {
      padding: 10px;
      text-align: right;
    }
    .text {
      font-size: 30px;
      text-align: center;
    }
    .dwon {
      padding: 0 10px;
      .title {
        font-size: 16px;
        font-weight: bold;
        border-bottom: 1px dashed #ccc;
        padding: 10px 0;
        margin: 0 0 10px 0;
      }
    }
  }
}
</style>
